LockStats (Oracle - Berkeley DB Java API)
Keywords: com.sleepycat.db.LockStats class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class LockStats

    java.lang.Object
      com.sleepycat.db.LockStats

    public class LockStats

extends Object

Lock statistics for a database environment.

Method Summary
`int` | `getCurMaxId()`
`int` | `getHashLen()` Maximum length of a lock hash bucket.
`int` | `getId()` The last allocated locker ID.
`int` | `getLockersNowait()` The number of requests to allocate or deallocate a locker for which the thread of control did not wait.
`int` | `getLockersWait()` The number of requests to allocate or deallocate a locker for which the thread of control waited.
`int` | `getLockNowait()` The number of lock requests not immediately available due to conflicts, for which the thread of control did not wait.
`int` | `getLocksNowait()` The number of requests to allocate or deallocate a lock structure for which the thread of control did not wait.
`int` | `getLocksWait()` The number of requests to allocate or deallocate a lock structure for which the thread of control waited.
`int` | `getLockTimeout()` Lock timeout value.
`int` | `getLockWait()` The number of lock requests not immediately available due to conflicts, for which the thread of control waited.
`int` | `getMaxLockers()` The maximum number of lockers possible.
`int` | `getMaxLocks()` The maximum number of locks possible.
`int` | `getMaxNlockers()` The maximum number of lockers at any one time.
`int` | `getMaxNlocks()` The maximum number of locks at any one time.
`int` | `getMaxNobjects()` The maximum number of lock objects at any one time.
`int` | `getMaxObjects()` The maximum number of lock objects possible.
`int` | `getNobjects()` The number of current lock objects.
`int` | `getNumDeadlocks()` The number of deadlocks.
`int` | `getNumDowngrade()` The total number of locks downgraded.
`int` | `getNumLockers()` The number of current lockers.
`int` | `getNumLocks()` The number of current locks.
`int` | `getNumLockTimeouts()` The number of lock requests that have timed out.
`int` | `getNumModes()` The number of lock modes.
`int` | `getNumReleases()` The total number of locks released.
`int` | `getNumRequests()` The total number of locks requested.
`int` | `getNumTxnTimeouts()` The number of transactions that have timed out.
`int` | `getNumUpgrade()` The total number of locks upgraded.
`int` | `getObjsNowait()` The number of requests to allocate or deallocate an object for which the thread of control did not wait.
`int` | `getObjsWait()` The number of requests to allocate or deallocate an object for which the thread of control waited.
`int` | `getRegionNowait()` The number of times that a thread of control was able to obtain the region lock without waiting.
`int` | `getRegionWait()` The number of times that a thread of control was forced to wait before obtaining the region lock.
`int` | `getRegSize()` The size of the lock region.
`int` | `getTxnTimeout()` Transaction timeout value.
`String` | `toString()` For convenience, the LockStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  For convenience, the LockStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

### getId

    public int getId()

  The last allocated locker ID.

### getCurMaxId

    public int getCurMaxId()

### getMaxLocks

    public int getMaxLocks()

  The maximum number of locks possible.

### getMaxLockers

    public int getMaxLockers()

  The maximum number of lockers possible.

### getMaxObjects

    public int getMaxObjects()

  The maximum number of lock objects possible.

### getNumModes

    public int getNumModes()

  The number of lock modes.

### getNumLocks

    public int getNumLocks()

  The number of current locks.

### getMaxNlocks

    public int getMaxNlocks()

  The maximum number of locks at any one time.

### getNumLockers

    public int getNumLockers()

  The number of current lockers.

### getMaxNlockers

    public int getMaxNlockers()

  The maximum number of lockers at any one time.

### getNobjects

    public int getNobjects()

  The number of current lock objects.

### getMaxNobjects

    public int getMaxNobjects()

  The maximum number of lock objects at any one time.

### getLockWait

    public int getLockWait()

  The number of lock requests not immediately available due to conflicts, for which the thread of control waited.

### getNumRequests

    public int getNumRequests()

  The total number of locks requested.

### getNumReleases

    public int getNumReleases()

  The total number of locks released.

### getLockNowait

    public int getLockNowait()

  The number of lock requests not immediately available due to conflicts, for which the thread of control did not wait.

### getNumDeadlocks

    public int getNumDeadlocks()

  The number of deadlocks.

### getNumDowngrade

    public int getNumDowngrade()

  The total number of locks downgraded.

### getLockTimeout

    public int getLockTimeout()

  Lock timeout value.

### getNumLockTimeouts

    public int getNumLockTimeouts()

  The number of lock requests that have timed out.

### getTxnTimeout

    public int getTxnTimeout()

  Transaction timeout value.

### getNumTxnTimeouts

    public int getNumTxnTimeouts()

  The number of transactions that have timed out. This value is also a component of st_ndeadlocks, the total number of deadlocks detected.

### getNumUpgrade

    public int getNumUpgrade()

  The total number of locks upgraded.

### getObjsWait

    public int getObjsWait()

  The number of requests to allocate or deallocate an object for which the thread of control waited.

### getObjsNowait

    public int getObjsNowait()

  The number of requests to allocate or deallocate an object for which the thread of control did not wait.

### getLockersWait

    public int getLockersWait()

  The number of requests to allocate or deallocate a locker for which the thread of control waited.

### getLockersNowait

    public int getLockersNowait()

  The number of requests to allocate or deallocate a locker for which the thread of control did not wait.

### getLocksWait

    public int getLocksWait()

  The number of requests to allocate or deallocate a lock structure for which the thread of control waited.

### getLocksNowait

    public int getLocksNowait()

  The number of requests to allocate or deallocate a lock structure for which the thread of control did not wait.

### getHashLen

    public int getHashLen()

  Maximum length of a lock hash bucket.

### getRegSize

    public int getRegSize()

  The size of the lock region.

### getRegionWait

    public int getRegionWait()

  The number of times that a thread of control was forced to wait before obtaining the region lock.

### getRegionNowait

    public int getRegionNowait()

  The number of times that a thread of control was able to obtain the region lock without waiting.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996,2007 Oracle. All rights reserved.